Bug 2171477 - embree: FTBFS in Fedora rawhide/f38
Summary: embree: FTBFS in Fedora rawhide/f38
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: embree
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-02-20 11:47 UTC by Fedora Release Engineering
Modified: 2023-03-20 00:16 UTC (History)
3 users (show)

Fixed In Version: embree-4.0.1-1.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-03-20 00:16:10 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Fedora Release Engineering 2023-02-20 11:47:00 UTC
embree failed to build from source in Fedora rawhide/f38

https://koji.fedoraproject.org/koji/taskinfo?taskID=96323679


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild
Please fix embree at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
embree will be orphaned. Before branching of Fedora 39,
embree will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Ali Erdinc Koroglu 2023-02-20 11:58:34 UTC
Embree has ispc (https://github.com/ispc/ispc) dependency and current version is not compatible with LLVM15.
I already created an internal issue and probably this week we'll have a new release.

Comment 2 Fedora Update System 2023-03-11 22:45:43 UTC
FEDORA-2023-2a12b22f50 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-2a12b22f50

Comment 3 Fedora Update System 2023-03-12 02:46:15 UTC
FEDORA-2023-2a12b22f50 has been pushed to the Fedora 38 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-2a12b22f50

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2023-03-20 00:16:10 UTC
FEDORA-2023-2a12b22f50 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.